taccuino.vo

## Class ProtesiAusilioRequestDTO

- java.lang.Object
- - taccuino.vo.ProtesiAusilioRequestDTO

- Direct Known Subclasses:
    ProtesiAusilioResponseDTO

      public class ProtesiAusilioRequestDTO
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `codiceIdentificativo`
    `private LocalDate` | `dataEmissioneDocumento`
    `private LocalDate` | `dataProduzioneInstallazione`
    `private LocalDate` | `dataSostituzioneConsigliata`
    `private String` | `fabbricante`
    `private String` | `medicoEmittente`
    `private String` | `nome`
    `private String` | `strutturaEmittente`
    `private String` | `tipologia`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProtesiAusilioRequestDTO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCodiceIdentificativo()`
    `LocalDate` | `getDataEmissioneDocumento()`
    `LocalDate` | `getDataProduzioneInstallazione()`
    `LocalDate` | `getDataSostituzioneConsigliata()`
    `String` | `getFabbricante()`
    `String` | `getMedicoEmittente()`
    `String` | `getNome()`
    `String` | `getStrutturaEmittente()`
    `String` | `getTipologia()`
    `void` | `setCodiceIdentificativo(String codiceIdentificativo)`
    `void` | `setDataEmissioneDocumento(LocalDate dataEmissioneDocumento)`
    `void` | `setDataProduzioneInstallazione(LocalDate dataProduzioneInstallazione)`
    `void` | `setDataSostituzioneConsigliata(LocalDate dataSostituzioneConsigliata)`
    `void` | `setFabbricante(String fabbricante)`
    `void` | `setMedicoEmittente(String medicoEmittente)`
    `void` | `setNome(String nome)`
    `void` | `setStrutturaEmittente(String strutturaEmittente)`
    `void` | `setTipologia(String tipologia)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nome

          private String nome

    - #### tipologia

          private String tipologia

    - #### fabbricante

          private String fabbricante

    - #### codiceIdentificativo

          private String codiceIdentificativo

    - #### dataProduzioneInstallazione

          private LocalDate dataProduzioneInstallazione

    - #### dataSostituzioneConsigliata

          private LocalDate dataSostituzioneConsigliata

    - #### strutturaEmittente

          private String strutturaEmittente

    - #### medicoEmittente

          private String medicoEmittente

    - #### dataEmissioneDocumento

          private LocalDate dataEmissioneDocumento

  - ### Constructor Detail

    - #### ProtesiAusilioRequestDTO

          public ProtesiAusilioRequestDTO()

  - ### Method Detail

    - #### getNome

          public String getNome()

    - #### setNome

          public void setNome(String nome)

    - #### getTipologia

          public String getTipologia()

    - #### setTipologia

          public void setTipologia(String tipologia)

    - #### getFabbricante

          public String getFabbricante()

    - #### setFabbricante

          public void setFabbricante(String fabbricante)

    - #### getCodiceIdentificativo

          public String getCodiceIdentificativo()

    - #### setCodiceIdentificativo

          public void setCodiceIdentificativo(String codiceIdentificativo)

    - #### getDataProduzioneInstallazione

          public LocalDate getDataProduzioneInstallazione()

    - #### setDataProduzioneInstallazione

          public void setDataProduzioneInstallazione(LocalDate dataProduzioneInstallazione)

    - #### getDataSostituzioneConsigliata

          public LocalDate getDataSostituzioneConsigliata()

    - #### setDataSostituzioneConsigliata

          public void setDataSostituzioneConsigliata(LocalDate dataSostituzioneConsigliata)

    - #### getStrutturaEmittente

          public String getStrutturaEmittente()

    - #### setStrutturaEmittente

          public void setStrutturaEmittente(String strutturaEmittente)

    - #### getMedicoEmittente

          public String getMedicoEmittente()

    - #### setMedicoEmittente

          public void setMedicoEmittente(String medicoEmittente)

    - #### getDataEmissioneDocumento

          public LocalDate getDataEmissioneDocumento()

    - #### setDataEmissioneDocumento

          public void setDataEmissioneDocumento(LocalDate dataEmissioneDocumento)